package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.mesBean.ProBadBean;
import com.wd.workoffice.bean.mesBean.ReportProBean;
import com.wd.workoffice.util.MathUtils;

import java.util.List;

/**
 * Created by flexible on 2018/8/13.
 */

public class ReportProAdapter extends BaseQuickAdapter<ReportProBean.DataBean, BaseViewHolder> {

    public ReportProAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, ReportProBean.DataBean item) {
        helper.setText(R.id.tv_rank, item.getManufactureOrderNumber());
        helper.setText(R.id.tv_pro_name, item.getProductName());
        helper.setText(R.id.tv_weight, MathUtils.converData(item.getScrapCount(),3));
    }
}

